## stultitiasimplex 1.1.0

=== Makefile ===
#############################################################################
# Makefile for building: StultitiaSimplex
# Generated by qmake (2.01a) (Qt 4.6.2) on: Sat Oct 16 16:48:37 2010
# Project:  StultitiaSimplex.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile StultitiaSimplex.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_MULTIMEDIA_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -D_REENTRANT -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -D_REENTRANT -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtMultimedia -I/usr/include/qt4 -I. -I.
LINK          = g++
LFLAGS        = -Wl,-O1 -Wl,-rpath,/usr/lib/qt4
LIBS          = $(SUBLIBS)  -L/usr/lib/qt4 -lpulse -lQtMultimedia -L/usr/lib/qt4 -L/usr/X11R6/lib -lQtGui -lQtCore -lgthread-2.0 -lrt -lglib-2.0 -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		mainwindow.cpp \
		soundfile.cpp \
		soundfilelist.cpp \
		editbuttondialog.cpp \
		soundbutton.cpp \
		soundfilelistdialog.cpp \
		settingsdialog.cpp \
		recorddialog.cpp \
		constants.cpp \
		pa_utils.cpp moc_mainwindow.cpp \
		moc_soundfile.cpp \
		moc_soundfilelist.cpp \
		moc_editbuttondialog.cpp \
		moc_soundbutton.cpp \
		moc_soundfilelistdialog.cpp \
		moc_settingsdialog.cpp \
		moc_recorddialog.cpp
OBJECTS       = main.o \
		mainwindow.o \
		soundfile.o \
		soundfilelist.o \
		editbuttondialog.o \
		soundbutton.o \
		soundfilelistdialog.o \
		settingsdialog.o \
		recorddialog.o \
		constants.o \
		pa_utils.o \
		moc_mainwindow.o \
		moc_soundfile.o \
		moc_soundfilelist.o \
		moc_editbuttondialog.o \
		moc_soundbutton.o \
		moc_soundfilelistdialog.o \
		moc_settingsdialog.o \
		moc_recorddialog.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		StultitiaSimplex.pro
QMAKE_TARGET  = StultitiaSimplex
DESTDIR       = 
TARGET        = StultitiaSimplex

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_editbuttondialog.h ui_soundfilelistdialog.h ui_settingsdialog.h ui_recorddialog.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: StultitiaSimplex.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/qt4/libQtMultimedia.prl \
		/usr/lib/qt4/libQtGui.prl \
		/usr/lib/qt4/libQtCore.prl
	$(QMAKE) -unix -o Makefile StultitiaSimplex.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/link_pkgconfig.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/qt4/libQtMultimedia.prl:
/usr/lib/qt4/libQtGui.prl:
/usr/lib/qt4/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile StultitiaSimplex.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/StultitiaSimplex1.0.0 || $(MKDIR) .tmp/StultitiaSimplex1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/StultitiaSimplex1.0.0/ && $(COPY_FILE) --parents mainwindow.h soundfile.h soundfilelist.h editbuttondialog.h soundbutton.h soundfilelistdialog.h settingsdialog.h recorddialog.h constants.h pa_utils.h .tmp/StultitiaSimplex1.0.0/ && $(COPY_FILE) --parents main.cpp mainwindow.cpp soundfile.cpp soundfilelist.cpp editbuttondialog.cpp soundbutton.cpp soundfilelistdialog.cpp settingsdialog.cpp recorddialog.cpp constants.cpp pa_utils.cpp .tmp/StultitiaSimplex1.0.0/ && $(COPY_FILE) --parents editbuttondialog.ui soundfilelistdialog.ui settingsdialog.ui recorddialog.ui .tmp/StultitiaSimplex1.0.0/ && (cd `dirname .tmp/StultitiaSimplex1.0.0` && $(TAR) StultitiaSimplex1.0.0.tar StultitiaSimplex1.0.0 && $(COMPRESS) StultitiaSimplex1.0.0.tar) && $(MOVE) `dirname .tmp/StultitiaSimplex1.0.0`/StultitiaSimplex1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/StultitiaSimplex1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_mainwindow.cpp moc_soundfile.cpp moc_soundfilelist.cpp moc_editbuttondialog.cpp moc_soundbutton.cpp moc_soundfilelistdialog.cpp moc_settingsdialog.cpp moc_recorddialog.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_mainwindow.cpp moc_soundfile.cpp moc_soundfilelist.cpp moc_editbuttondialog.cpp moc_soundbutton.cpp moc_soundfilelistdialog.cpp moc_settingsdialog.cpp moc_recorddialog.cpp
moc_mainwindow.cpp: editbuttondialog.h \
		soundfilelist.h \
		soundfile.h \
		soundbutton.h \
		mainwindow.h
	/usr/bin/moc $(DEFINES) $(INCPATH) mainwindow.h -o moc_mainwindow.cpp

moc_soundfile.cpp: soundfilelist.h \
		soundfile.h \
		soundfile.h
	/usr/bin/moc $(DEFINES) $(INCPATH) soundfile.h -o moc_soundfile.cpp

moc_soundfilelist.cpp: soundfile.h \
		soundfilelist.h \
		soundfilelist.h
	/usr/bin/moc $(DEFINES) $(INCPATH) soundfilelist.h -o moc_soundfilelist.cpp

moc_editbuttondialog.cpp: soundfilelist.h \
		soundfile.h \
		editbuttondialog.h
	/usr/bin/moc $(DEFINES) $(INCPATH) editbuttondialog.h -o moc_editbuttondialog.cpp

moc_soundbutton.cpp: soundfile.h \
		soundfilelist.h \
		soundbutton.h
	/usr/bin/moc $(DEFINES) $(INCPATH) soundbutton.h -o moc_soundbutton.cpp

moc_soundfilelistdialog.cpp: soundfilelist.h \
		soundfile.h \
		soundfilelistdialog.h
	/usr/bin/moc $(DEFINES) $(INCPATH) soundfilelistdialog.h -o moc_soundfilelistdialog.cpp

moc_settingsdialog.cpp: settingsdialog.h
	/usr/bin/moc $(DEFINES) $(INCPATH) settingsdialog.h -o moc_settingsdialog.cpp

moc_recorddialog.cpp: recorddialog.h
	/usr/bin/moc $(DEFINES) $(INCPATH) recorddialog.h -o moc_recorddialog.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui_editbuttondialog.h ui_soundfilelistdialog.h ui_settingsdialog.h ui_recorddialog.h
compiler_uic_clean:
	-$(DEL_FILE) ui_editbuttondialog.h ui_soundfilelistdialog.h ui_settingsdialog.h ui_recorddialog.h
ui_editbuttondialog.h: editbuttondialog.ui
	/usr/bin/uic editbuttondialog.ui -o ui_editbuttondialog.h

ui_soundfilelistdialog.h: soundfilelistdialog.ui
	/usr/bin/uic soundfilelistdialog.ui -o ui_soundfilelistdialog.h

ui_settingsdialog.h: settingsdialog.ui
	/usr/bin/uic settingsdialog.ui -o ui_settingsdialog.h

ui_recorddialog.h: recorddialog.ui
	/usr/bin/uic recorddialog.ui -o ui_recorddialog.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_uic_clean 

####### Compile

main.o: main.cpp mainwindow.h \
		editbuttondialog.h \
		soundfilelist.h \
		soundfile.h \
		soundbutton.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

mainwindow.o: mainwindow.cpp constants.h \
		mainwindow.h \
		editbuttondialog.h \
		soundfilelist.h \
		soundfile.h \
		soundbutton.h \
		recorddialog.h \
		settingsdialog.h \
		soundfilelistdialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o mainwindow.o mainwindow.cpp

soundfile.o: soundfile.cpp soundfile.h \
		soundfilelist.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o soundfile.o soundfile.cpp

soundfilelist.o: soundfilelist.cpp constants.h \
		soundfilelist.h \
		soundfile.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o soundfilelist.o soundfilelist.cpp

editbuttondialog.o: editbuttondialog.cpp constants.h \
		editbuttondialog.h \
		soundfilelist.h \
		soundfile.h \
		ui_editbuttondialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o editbuttondialog.o editbuttondialog.cpp

soundbutton.o: soundbutton.cpp soundbutton.h \
		soundfile.h \
		soundfilelist.h \
		editbuttondialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o soundbutton.o soundbutton.cpp

soundfilelistdialog.o: soundfilelistdialog.cpp soundfilelistdialog.h \
		soundfilelist.h \
		soundfile.h \
		ui_soundfilelistdialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o soundfilelistdialog.o soundfilelistdialog.cpp

settingsdialog.o: settingsdialog.cpp settingsdialog.h \
		ui_settingsdialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o settingsdialog.o settingsdialog.cpp

recorddialog.o: recorddialog.cpp constants.h \
		pa_utils.h \
		recorddialog.h \
		ui_recorddialog.h
