## stultitiasimplex 1.0.0

=== debian/changelog ===
stultitiasimplex (1.0.0) stable; urgency=low

  * First release.

 -- Ruediger Gad <r.c.g@gmx.de>  Mon, 08 Nov 2010 23:25:10 +0000
