## stultitiasimplex 1.0.0-3

=== debian/changelog ===
stultitiasimplex (1.0.0-3) stable; urgency=low

  * Update info text.

 -- Ruediger Gad <r.c.g@gmx.de>  Tue, 09 Nov 2010 00:36:18 +0000
