=== debian/control ===
--- 
+++ 
@@ -13,12 +13,12 @@
  A record dialog for recording audio clips is included.
  .
  StultitiaSimplex includes an option to override the volume setting used for playback.
- Please use this setting with caution!
+ Use this setting with caution!
+ You are responsible for choosing a save volume!
  .
- StultitiaSimplex is distributed in the hope that it will be useful, but
- WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
- FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
- details.
+ StultitiaSimplex is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
+ without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
+ See the GNU General Public License for more details.
 XSBC-Bugtracker: http://sourceforge.net/tracker/?group_id=353764&atid=1477861
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI
