=== debian/control ===
--- 
+++ 
@@ -15,6 +15,10 @@
  StultitiaSimplex includes an option to override the volume setting used for playback.
  Use this setting with caution!
  You are responsible for choosing a save volume!
+ .
+ Furthermore, StultitiaSimplex is not affected by the device mute state.
+ Hence, even when muted the StultitiaSimplex sound output will be audible.
+ This behavior is similar to the built-in media player.
  .
  StultitiaSimplex is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
