## stultitiasimplex 1.0.2

=== debian/changelog ===
stultitiasimplex (1.0.2) stable; urgency=low

  * Use native file dialogs.

 -- Ruediger Gad <r.c.g@gmx.de>  Tue, 09 Nov 2010 00:36:18 +0000
