## stultitiasimplex 1.0.2-1

=== debian/changelog ===
stultitiasimplex (1.0.2-1) stable; urgency=low

  * Update description.

 -- Ruediger Gad <r.c.g@gmx.de>  Tue, 09 Nov 2010 00:36:18 +0000
