## stultitiasimplex 1.1.0

=== debian/changelog ===
stultitiasimplex (1.1.0) stable; urgency=low

  * Add dialog for reordering. Improve stability.

 -- Ruediger Gad <r.c.g@gmx.de>  Tue, 09 Nov 2010 00:36:18 +0000
