=== debian/control ===
--- 
+++ 
@@ -14,7 +14,8 @@
  .
  StultitiaSimplex includes an option to override the volume setting used for playback.
  Use this setting with caution!
- You are responsible for choosing a save volume!
+ Setting a too high volume may either harm your or others ears or may possibly damage your N900 or both!
+ You use this option at your own risk and are responsible for choosing a save volume!
  .
  Furthermore, StultitiaSimplex is not affected by the device mute state.
  Hence, even when muted the StultitiaSimplex sound output will be audible.
