## stultitiasimplex 1.2.0

=== debian/changelog ===
stultitiasimplex (1.2.0) stable; urgency=low

  * Update to latest version.

 -- Ruediger Gad <r.c.g@gmx.de>  Tue, 09 Nov 2010 00:36:18 +0000
