## stultitiasimplex 1.2.0-1

=== debian/changelog ===
stultitiasimplex (1.2.0-1) stable; urgency=low

  * Fix changelog.

 -- Ruediger Gad <r.c.g@gmx.de>  Sat, 11 Dec 2010 17:16:00 +0000
