## stultitiasimplex 1.3.0

=== debian/changelog ===
stultitiasimplex (1.3.0) stable; urgency=low

  * Add selection option for source.

 -- Ruediger Gad <r.c.g@gmx.de>  Sun, 09 Jan 2011 15:22:00 +0000
