=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: stultitiasimplex
 Architecture: armel
-Depends: libqt4-core, libqt4-gui
+Depends: libqt4-core, libqt4-gui, pulseaudio
 Description: StultitiaSimplex is a simple, platform-independent "soundboard" application.
  With StultitiaSimplex you have the silly audio clips of your choice easily at hand whenever you need them.
  A record dialog for recording audio clips is included.
