## stultitiasimplex 1.3.1

=== debian/changelog ===
stultitiasimplex (1.3.1) stable; urgency=low

  * Optimize code.

 -- Ruediger Gad <r.c.g@gmx.de>  Sun, 09 Jan 2011 18:13:00 +0000
